GET /hotels/{hotelId}

impala.travel:hotels

Summary: Retrieve a hotel
Operation ID: retrieveHotel
Auth: unknown
Description

Returns the full content, room types and rates for the specified hotel. When querying the hotels API you can query with or without dates. Where querying with dates requires providing valid values for the `start` and `end` parameters. Requests without these values will be considered a query without dates. **Querying without dates:** When you query without dates, the search result will include all properties that match your request. Including all content that is associated with those properties. However you will find that the `rates` attribute for each room will always be empty. **Querying with dates:** When you query with dates, the search result will include all properties that match your request, including all content that is associated with those properties. Rooms which do not have available prices for the provided dates will appear with an empty `rates` array. For rooms where there are available prices the `rates` array will include both the public rates of the hotel, along with prices that come from deals in which you are participating. This would include private deals which you have negotiated with a hotel, along with Impala deals which you have been verified for. Using the `rateId` of any of those rates, you can use the [Create a booking](https://docs.impala.travel/docs/booking-api/spec/openapi.seller.yaml/paths/~1bookings/post) endpoint to make a booking.

Parameters (3)

end (string, query, optional)

The departure day of the desired stay range in ISO 8601 format (`YYYY-MM-DD`).

hotelId (string, path, required)

The unique identifier of this hotel on the Impala platform.

start (string, query, optional)

The arrival day of the desired stay range in ISO 8601 format (`YYYY-MM-DD`).

No probe data for this endpoint yet.